/*
  hardcoded entity shapes
*/

const int POLYSIZE=25;
const int SUBOBJECTCOUNT=10;
const int EOBJECTCOUNT=1;

//used to terminate polygon lists
const GLfloat E=9;
const GLfloat EE=10;

//maybe should generate array of polygon lengths statically at the start of each game
//maybe can scale them statically at the start of each level...

GLfloat m_table[SUBOBJECTCOUNT][POLYSIZE][2] =
{
{	//first the table 7x12
{3.5,6},
{-3.5,6},
{-3.5,-6},
{3.5,-6},
{EE}
},
{ //plate 1
{1.5,-2},
{-1.5,-2},
{-1.5,-5},
{1.5,-5},
{EE}
},
{ //plate 2
{1.5,5},
{-1.5,5},
{-1.5,2},
{1.5,2},
{EE}
},
{ //glass 1
{-1.5,0},
{-2.5,0},
{-2.5,-1},
{-1.5,-1},
{EE}
},
{ //glass 2
{2.5,1},
{1.5,1},
{1.5,0},
{2.5,0},
{EE}
},
{ //knife 1
{-2.25,-2},
{-2.75,-2},
{-2.75,-5},
{-2.5,-5},
{-2.5,-3},
{-2.25,-3},
{EE}
},
{ //knife 2
{2.25,2},
{2.75,2},
{2.75,5},
{2.5,5},
{2.5,3},
{2.25,3},
{EE}
},
{//fork 1
{3,-2},
{2.83,-2},
{2.83,-2.7},
{2.67,-2.7},
{2.67,-2},
{2.55,-2},
{2.55,-2.7},
{2.45,-2.7},
{2.45,-2},
{2.33,-2},
{2.33,-2.7},
{2.17,-2.7},
{2.17,-2},
{2,-2},
{2,-3},
{2.25,-3},
{2.25,-5},
{2.75,-5},
{2.75,-3},
{3,-3},
{EE}
},
{//fork 2
{-3,2},
{-2.83,2},
{-2.83,2.7},
{-2.67,2.7},
{-2.67,2},
{-2.55,2},
{-2.55,2.7},
{-2.45,2.7},
{-2.45,2},
{-2.33,2},
{-2.33,2.7},
{-2.17,2.7},
{-2.17,2},
{-2,2},
{-2,3},
{-2.25,3},
{-2.25,5},
{-2.75,5},
{-2.75,3},
{-3,3},
{EE}
},
{{EE}},
};

GLfloat m_flower[SUBOBJECTCOUNT][POLYSIZE][2]=
{
{//main cross shape
{0.5,0.5},
{2.5,0},
{0.5,-0.5},
{0,-2.5},
{-0.5,-0.5},
{-2.5,0},
{-0.5,0.5},
{0,2.5},
{EE}
},
{//inside bud
{0.25,0.25},
{0.25,-0.25},
{-0.25,-0.25},
{-0.25,0.25},
{EE}
},
{//petal1
{0.5,1},
{1.5,1.5},
{1,0.5},
{EE}
},
{//petal2
{0.5,-1},
{1.5,-1.5},
{1,-0.5},
{EE}
},
{//petal3
{-0.5,-1},
{-1.5,-1.5},
{-1,-0.5},
{EE}
},
{//petal4
{-0.5,1},
{-1.5,1.5},
{-1,0.5},
{EE}
},
{{EE}}
};

GLfloat m_bedroom[SUBOBJECTCOUNT][POLYSIZE][2]={

{//bed
{4,-12},
{-4,-12},
{-4,0},
{4,0},
{EE}
},

{//leftpillow
{-3.5,-11.5},
{-0.5,-11.5},
{-0.5,-10},
{-3.5,-10},
{EE}
},

{//rightpillow
{3.5,-11.5},
{0.5,-11.5},
{0.5,-10},
{3.5,-10},
{EE}
},

{//leftbedbox
{-4.75,-12},
{-6.8,-12},
{-6.8,-10.25},
{-4.75,-10.25},
{EE}
},

{//rightbedbox
{4.75,-12},
{6.8,-12},
{6.8,-10.25},
{4.75,-10.25},
{EE}
},

{//wardrobe
{7,11},
{7,7},
{-2,7},
{-2,11},
{EE}
},

{{EE}}
};


GLfloat m_bedroom2[SUBOBJECTCOUNT][POLYSIZE][2]={

{//bed
{4,-12},
{-4,-12},
{-4,0},
{4,0},
{EE}
},

{//leftpillow
{-3.5,-11.5},
{-0.5,-11.5},
{-0.5,-10},
{-3.5,-10},
{EE}
},

{//rightpillow
{3.5,-11.5},
{0.5,-11.5},
{0.5,-10},
{3.5,-10},
{EE}
},

{//head
{-1.5,-11},
{-2.5,-11},
{-2.5,-10},
{-1.5,-10},
{EE}
},

{//leftbedbox
{-4.75,-12},
{-6.8,-12},
{-6.8,-10.25},
{-4.75,-10.25},
{EE}
},

{//rightbedbox
{4.75,-12},
{6.8,-12},
{6.8,-10.25},
{4.75,-10.25},
{EE}
},

{//wardrobe
{7,11},
{7,7},
{-2,7},
{-2,11},
{EE}
},

{{EE}}
};


GLfloat m_bathroom[SUBOBJECTCOUNT][POLYSIZE][2]={

//toilet
{
{7,6},
{7,10.5},
{5.5,10.5},
{5.5,6},
{EE}
},
{
{0.5,6.25},
{0.5,10.25},
{5.30,10.25},
{5.30,6.25},
{EE}
},

//sink

{
{7,5},
{7,1},
{4,1},
{4,5},
{EE}
},

//bath
{
{7,-12},
{2,-12},
{2,0},
{7,0},
{EE}
},


{{EE}}
};
